Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1005889 - Size of ISO images shown in 'Images' tab of ISO Domain wrong
Summary: Size of ISO images shown in 'Images' tab of ISO Domain wrong
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
: 3.4.0
Assignee: Sergey Gotliv
QA Contact: Elad
URL:
Whiteboard: storage
Depends On:
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-09-09 15:24 UTC by Rejy M Cyriac
Modified: 2016-02-10 20:01 UTC (History)
10 users (show)

Fixed In Version: av1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-12 14:03:13 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)
Images.png (deleted)
2013-09-09 15:25 UTC, Rejy M Cyriac
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 19549 None None None Never
oVirt gerrit 19550 None None None Never
oVirt gerrit 20476 None None None Never
oVirt gerrit 21524 None None None Never
oVirt gerrit 24265 None None None Never

Description Rejy M Cyriac 2013-09-09 15:24:52 UTC
Description of problem:
There is a new field, 'Actual Size', in the 'Images' tab of ISO Domain. The size reported for ISO images there appear to be wrong.

I have attached a screen-shot with the tab displayed as 'Images.png', and the size output from the backend nfs share is given below.

---------------------------------------------
# pwd
/srv/ISOstore/0adbece5-bf23-4195-866c-e3a3184cdea0/images/11111111-1111-1111-1111-111111111111

# ls -lh
total 12G
-rw-r-----. 1 vdsm kvm 4.1G Sep  9 16:29 RHEL5.9-Server-20121129.0-x86_64-DVD.iso
-rw-r-----. 1 vdsm kvm 3.5G Sep  9 17:35 RHEL6.4-20130130.0-Server-x86_64-DVD1.iso
-rw-r-----. 1 vdsm kvm 253M Sep  9 17:39 RHEV-toolsSetup_3.2_13.iso
-rw-r-----. 1 vdsm kvm 1.6G Sep  9 17:38 RHS-2.0-20130906.0-RHS-x86_64-DVD1.iso
-rw-r-----. 1 vdsm kvm 1.7G Sep  9 17:42 RHSS-2.1-20130907.0-RHS-x86_64-DVD1.iso
-rw-r-----. 1 vdsm kvm 2.9M Sep  9 17:40 virtio-win-1.6.5_amd64.vfd
-rw-r-----. 1 vdsm kvm  87M Sep  9 17:40 virtio-win-1.6.5.iso
-rw-r-----. 1 vdsm kvm 2.9M Sep  9 17:40 virtio-win-1.6.5_x86.vfd
---------------------------------------------

It can be seen that for the larger files, the size displayed at the admin portal UI is still '<1 GB'.

Version-Release number of selected component (if applicable):
RHEVM 3.3:
IS13 - rhevm-3.3.0-0.19.master.el6ev 

How reproducible:


Steps to Reproduce:
1.Attach ISO Domain to Data Center
2.Upload ISO images using rhevm-iso-uploader
3.view size of ISO images at admin portal, by selecting ISO Domain, and Images tab under it
4. Compare with size of ISO images at backend nfs share

Actual results:
Even for large ISO images of size above 1 GB, the size displayed at the admin portal UI is still '<1 GB'.

Expected results:
The size displayed at the admin portal UI should be correct.

Additional info:

Comment 1 Rejy M Cyriac 2013-09-09 15:25:42 UTC
Created attachment 795666 [details]
Images.png

Comment 4 Elad 2014-02-19 12:28:30 UTC
Size of images shown under 'images' sub-tab under an ISO domain is correct, according to their actual size under the export path.

For example:
Size of image 'RHEV-toolsSetup_2.3_276.iso' under the  export path:

-rw-r--r-- 1 kvm  kvm  124M Jul  2  2012 RHEV-toolsSetup_2.3_276.iso 


Size of the image under 'images' sub-tab in UI:

RHEV-toolsSetup_2.3_276.iso   ISO   123 MB


============

Verified with RHEV-3.4:
rhevm-3.4.0-0.2.master.el6ev.noarch

Comment 5 Itamar Heim 2014-06-12 14:03:13 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.